<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="report1" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<property name="ireport.background.image.properties" value="true,true,0.25,-8,-8,0,0,204,127"/>
	<parameter name="user_tinh_thanhpho" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="txtdate" class="java.lang.String"/>
	<parameter name="txtdate2" class="java.lang.String"/>
	<parameter name="sys_fullname" class="java.lang.String"/>
	<parameter name="ngay" class="java.lang.String"/>
	<parameter name="thang" class="java.lang.String"/>
	<parameter name="nam" class="java.lang.String"/>
	<parameter name="cngay" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:=admin_v2.pkg_data_birthday.err_birthday_upload_func('{p0upload_id}','{p0sys_dataschema}','{h0CommonSchema}','{p0sys_agentcode}'); end;]]>
	</queryString>
	<field name="so_tb" class="java.lang.String"/>
	<field name="errMsg" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="46" splitType="Stretch">
			<image>
				<reportElement x="1" y="1" width="87" height="20"/>
				<imageExpression><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="88" y="1" width="262" height="20"/>
				<textElement>
					<font fontName="Times New Roman" isBold="true"/>
				</textElement>
				<text><![CDATA[DANH SÁCH THUÊ BAO UPLOAD KHÔNG HỢP LỆ]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="32" width="23" height="14"/>
				<box>
					<pen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[STT]]></text>
			</staticText>
			<staticText>
				<reportElement x="23" y="32" width="92" height="14"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Số TB]]></text>
			</staticText>
			<staticText>
				<reportElement x="115" y="32" width="235" height="14"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<text><![CDATA[Lý do]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="14">
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="23" height="14"/>
				<box>
					<pen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<topPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<leftPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<bottomPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
					<rightPen lineWidth="0.5" lineStyle="Solid" lineColor="#333333"/>
				</box>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="23" y="0" width="92" height="14"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{so_tb}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="115" y="0" width="235" height="14"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{errMsg}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band/>
	</columnFooter>
	<pageFooter>
		<band/>
	</pageFooter>
	<summary>
		<band height="37"/>
	</summary>
</jasperReport>
